Bug 588219 - 25% performance regression of concurrent O_DIRECT writes. [rhel-5.5.z]
25% performance regression of concurrent O_DIRECT writes. [rhel-5.5.z]
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.5
All Linux
high Severity high
: rc
: ---
Assigned To: Jiri Pirko
Red Hat Kernel QE team
: Reopened, ZStream
Depends On: 574285
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-03 03:23 EDT by RHEL Product and Program Management
Modified: 2015-05-04 21:19 EDT (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
When two or more writes which used the O_DIRECT file access interface were run simultaneously on two separate partitions on the same disk, performance of both writes were reduced. This could have caused a write slowdown of approximately 25% when running two simultaneous "dd oflag=direct" commands on two different partitions. This regression has been fixed in this update so that O_DIRECT write performance does not incur a performance penalty.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-01 14:29:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description RHEL Product and Program Management 2010-05-03 03:23:18 EDT
This bug has been copied from bug #574285 and has been proposed
to be backported to 5.5 z-stream (EUS).
Comment 3 Jiri Pirko 2010-05-13 11:06:13 EDT
in 2.6.18-194.4.1.el5
Comment 7 Douglas Silas 2010-06-28 16:15:37 EDT
Technical note added. If any revisions are required, please edit the "Technical Notes" field
accordingly. All revisions will be proofread by the Engineering Content Services team.

New Contents:
When two or more writes which used the O_DIRECT file access interface were run simultaneously on two separate partitions on the same disk, performance of both writes were reduced. This could have caused a write slowdown of approximately 25% when running two simultaneous "dd oflag=direct" commands on two different partitions. This regression has been fixed in this update so that O_DIRECT write performance does not incur a performance penalty.
Comment 9 errata-xmlrpc 2010-07-01 14:29:24 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0504.html

Note You need to log in before you can comment on or make changes to this bug.